@echo off
title Community Server Console
echo Starting l2universe Community Server.
echo.

:: EXAMPLE PATH
:: set JAVA_PATH="C:\Program Files\Java\jdk1.6.0_20"
set JAVA_PATH=""

if NOT EXIST "%JAVA_HOME%"\bin\java.exe GOTO check_path
goto je

:check_path
if NOT EXIST %JAVA_PATH%\bin\java.exe GOTO jne
goto pe

:jne
echo JAVA not exists. Set path to JAVA into JAVA_PATH or set JAVA_HOME variable into system variables.
goto end

:pe
%JAVA_PATH%\bin\java -Xms128m -Xmx128m -cp ./../libs/*;l2universecommunity.jar l2.universe.communityserver.L2CommunityServer

:je
java -Xms128m -Xmx128m -cp ./../libs/*;l2universecommunity.jar l2.universe.communityserver.L2CommunityServer
pause
